Bug 186731 - Update straw to 0.26
Update straw to 0.26
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: straw (Show other bugs)
5
All Linux
high Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
http://www.gnome.org/projects/straw/
:
Depends On:
Blocks: 147247 180273
  Show dependency treegraph
 
Reported: 2006-03-25 16:25 EST by Alex Lancaster
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-09 09:34:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2006-03-25 16:25:02 EST
Description of problem:
Update straw to 0.26, currently a very old version at 0.22

Version-Release number of selected component (if applicable):
straw-0.22.1-6

How reproducible:
Always.
Comment 1 Christian Rose 2006-03-28 04:37:42 EST
Any chance there could be a non-ancient Straw packaged soon?
Or is the Fedora Extras package of Straw unmaintained?
Comment 2 Alex Lancaster 2006-03-28 04:50:35 EST
(In reply to comment #1)
> Any chance there could be a non-ancient Straw packaged soon?

This is why I filed the bug. ;-)  

> Or is the Fedora Extras package of Straw unmaintained?

It's not officially orphaned yet (otherwise bugzilla would have assigned it to
the "orphan@fedoraproject.org" pseudo Bugzilla account.  In theory Colin Charles
is the current maintainer and he should have received this request.
Comment 3 Alex Lancaster 2006-05-04 03:52:12 EDT
Ping?  It's been over a month...  Looks like the maintainer is not responding. 
Perhaps it should be orphaned.
Comment 4 Alex Lancaster 2006-06-01 20:35:11 EDT
Ping again.  This looks to be orphaned, maintainer is not responding.
Comment 5 Peter Williams 2006-08-07 17:05:17 EDT
I have sent an email to the fedora-extras list requesting that Straw be listed
as an orphaned package. Hopefully, someone will step up to start packaging Straw
again ... I might do it myself if it's not too complicated.
Comment 6 Peter Williams 2006-08-08 21:58:04 EDT
See response in:

https://www.redhat.com/archives/fedora-extras-list/2006-August/msg00171.html

Colin says that he will work on an update soon (about a week).

For reference, the "official" way to see if a package should be orphaned is
listed here:

http://fedoraproject.org/wiki/Extras/Policy/AWOL_Maintainers

It demands about three weeks of inactivity until a package can be considered
orphaned. This bug is about four months old and has seen no response. Colin, a
reply to one of Alex's pings would have been helpful.
Comment 7 Alex Lancaster 2006-09-23 20:39:05 EDT
(In reply to comment #6)
> See response in:
> 
> https://www.redhat.com/archives/fedora-extras-list/2006-August/msg00171.html
> 
> Colin says that he will work on an update soon (about a week).

Ping.  Still no update from Colin?    Adding to FE5Target.
Comment 8 Peter Williams 2006-09-23 21:17:54 EDT
Man, I had forgotten about this. Judging from the reply I got on
fedora-extras-list, we should probably try pinging Colin on IRC (channel
#fedora-extras, usename 'byte').

He does have a good reason for not updating: there is the issue of the how Straw
changed its database format. We want people who install the new RPM not to lose
their subscriptions. It will probably require a somewhat big patch to provide an
upgrade path.
Comment 9 kushaldas@gmail.com 2006-10-06 07:02:53 EDT
I want to claim ownership of the orphaned package straw.

If you check https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=147247#c5 ,
you will find the dependency on mxDateTime.

So, should I simply go for a new release for straw.
Comment 10 kushaldas@gmail.com 2006-10-06 08:10:21 EDT
Original owner is back :)
Comment 11 Alex Lancaster 2006-10-08 01:06:02 EDT
(In reply to comment #10)
> Original owner is back :)

Are you sure?  He has not posted a single response on this bug and was supposed
to work on an update back in August (see comment #6).  Also he better act fast,
because it's about to be pulled from Extras completely:

http://www.redhat.com/archives/fedora-extras-list/2006-October/msg00143.html

AFAICT, this package is definitely orphaned since there have been at least 3
weeks of inactivity

As for bug #147247 comment #5, I think an upgrade with the new dependency is the
best way
Comment 12 Peter Williams 2006-10-29 17:13:02 EST
Since this bug is now assigned to extras-orphan@fedoraproject.org, and Straw
does not appear to be in FC6 Extras, does that mean that Straw is now officially
orphaned?
Comment 13 Michael Schwendt 2006-10-29 17:33:09 EST
It seems Straw has been marked orphaned as part of the Fedora
Extras 6 preparation deadline.

http://fedoraproject.org/wiki/Extras/OrphanedPackages
http://fedoraproject.org/wiki/Extras/OrphanedPackages?action=diff&rev2=400&rev1=399
Comment 14 Toshio Kuratomi 2007-01-17 21:02:27 EST
I'm moving this bug forward to fc5 as fc4 is now EOL.  However, unless someone
steps forward who wishes to maintain this package, this bug will not be fixed
before FC5 goes EOL as well.
Comment 15 Alex Lancaster 2007-07-09 09:34:40 EDT
Straw seems to be well and truly orphaned now.  Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.